function LevelPolygon:drawFinalised()
  love.graphics.setColor(1,1,1)
  
  local brightness = 1
  if self.attributes.isBackground then  
    brightness = 0.7
  end

  love.graphics.setColor(brightness, brightness, brightness)
  
  if self.attributes.superTexture then
    love.graphics.setShader(shader.terrain)
    blue.graphics.draw(self.mesh, self.body:getX(), self.body:getY(), self.body:getAngle())
    love.graphics.setShader()
  else
    blue.graphics.draw(self.mesh, self.body:getX(), self.body:getY(), self.body:getAngle())
  end
end





function LevelPolygon:getPixpol(pixpol)
  
  texture[self.attributes.textureName]:setWrap("repeat")
  local offsetX, offsetY
  
  if self.attributes.isBackground then
    offsetX = 3
    offsetY = 1
  end
  
  if not pixpol then
    self.mesh = createPixpolMesh(texture[self.attributes.textureName], self.points, smallTextureScale, offsetX, offsetY)
  else
    self.mesh = newTexturedMesh(texture[self.attributes.textureName], pixpol, smallTextureScale, offsetX, offsetY)
    self.mesh:setDrawMode("triangles")
  end
  
end


