Slowmo = Object:extend()


function Slowmo:new()
  self.type = "slowmo"
  self.resultantTimeWarp = 1
  self:storeSlowmoValues()
end



function Slowmo:slowmo(dt)
  

  self.resultantTimeWarp = self.timeWarp/player1.timeWarp or 1/player1.timeWarp
  self:applySlowmo(dt)
  self:storeSlowmoValues()
end



function Slowmo:storeSlowmoValues()
  -- TODO - add in angular velocity values
  local timeWarp = self.resultantTimeWarp
  local vx, vy = self.body:getLinearVelocity()
  self.storedSlowmo = {}
  self.storedSlowmo.trueV = vector.create(vx/timeWarp, vy/timeWarp)
end


function Slowmo:applySlowmo(dt)
  
  local timeWarp = self.resultantTimeWarp
  
  local oldPos = self.storedSlowmo.oldPos
  local trueV = self.storedSlowmo.trueV
  local mass = self.body:getMass()  
  local vx, vy = self.body:getLinearVelocity()
  self.body:applyForce(dt*vx/mass, dt*vy/mass)
 -- self.body:setLinearVelocity(trueV.x*timeWarp, trueV.y*timeWarp)
end


function Slowmo:update(dt)
  self:slowmo(dt)
end