Animation = Object:extend()


function Animation:new(path, name, fps, xOffset, yOffset)
  self.frames = {}
  self.fps = fps
  self.xOffset = xOffset or 0
  self.yOffset = yOffset or 0
  
  if not file_exists("textures/"..path) then
    error(path.." does not exist!")
  end

  for i, filename in ipairs(love.filesystem.getDirectoryItems("textures/"..path)) do
    if string.sub(filename, #filename-9, #filename) ~= "Shadow.png" then
      table.insert(self.frames, textureSet(path.."/"..string.sub(filename, 1, #filename-4)))
    end
  end
end



