Brazier = Interactable:extend()

-- Does this class even do anything? Been too long since I looked at this....


function Brazier:new(x, y, attributes)
  Button.super.new(self, x, y, attributes)
  self.type = "brazier"
  
  
  self.attributes.texture = nil
  self.attributes.singleUse = nil
  createAttribute(self.attributes, "startsLit", false) 
  createAttribute(self.attributes, "litTexture", "brazier_lit")
  createAttribute(self.attributes, "unlitTexture", "brazier")
  
  self.lit = self.attributes.startsLit
  self.active = self.lit
  
  --self.texture =
  
  self.lightZoneHeight = 30*smallTextureScale
  self.lightZoneWidth = 30*smallTextureScale
  
  if texture.brazier_lit.main then
    self.width = texture.brazier_lit:getWidth()*smallTextureScale*self.attributes.scaleX
    self.height = texture.brazier_lit:getHeight()*smallTextureScale*self.attributes.scaleY
  else
    self.width = texture.brazier_lit:getWidth()*smallTextureScale*self.attributes.scaleX
    self.height = texture.brazier_lit:getHeight()*smallTextureScale*self.attributes.scaleY
  end
  
end


function Brazier:light()
  local oldLit = self.lit
  self.lit = true
  self.active = true
  return not oldLit
end


function Brazier:activate()
  player1.fire = true
end


function Brazier:update(dt)
  for i, fireball in ipairs(lightsFire) do
    
    if self.x - self.lightZoneWidth/2 < fireball.body:getX() and fireball.body:getX() < self.x + self.lightZoneWidth/2 and
      self.y - self.lightZoneHeight/2 < fireball.body:getY() and fireball.body:getY() < self.y + self.lightZoneHeight/2 then
      
      if self:light() then
        --fireball:destroy()
      end
    end
  end
  
  self:updateAnimation(dt)
end


function Brazier:draw()
  
  if self.attributes.draw then
    local brazierTexture
    
    if self.lit then
      brazierTexture = texture[self.attributes.litTexture]
    else
      brazierTexture = texture[self.attributes.unlitTexture]
      
    end
    love.graphics.setColor(1,1,1)
    blue.graphics.drawCentred(brazierTexture, self.x, self.y, math.rad(tonumber(self.attributes.rotation)), smallTextureScale*self.attributes.scaleX, smallTextureScale*self.attributes.scaleY)

  end
  
  
  if (builderMode or debugMode) and not self.attributes.draw then
    love.graphics.setColor(1,0.5,0.5)
    blue.graphics.circle("fill", self.x, self.y, 10)
    blue.graphics.circle("line", self.x, self.y, 20)
  end
  
  
  if builderMode then
    if self.selected and builderMode then
      love.graphics.setColor(1, 1, 1)
      
      local width = nil
      local height = nil
      
      width  = texture[self.attributes.litTexture]:getWidth()*smallTextureScale*self.attributes.scaleX
      height = texture[self.attributes.litTexture]:getHeight()*smallTextureScale*self.attributes.scaleY
        
      love.graphics.setLineWidth("3")
      blue.graphics.rectangle("line", self.x - self.width/2, self.y - self.height/2, self.width, self.height)
      love.graphics.setLineWidth("1")
    end
  end
  
  if debugMode or (self.selected and builderMode) then
    if self.attributes.interactRadius then
      love.graphics.setColor(1,0,0)
      blue.graphics.circle("line", self.x, self.y, self.attributes.interactRadius)
      
      love.graphics.setLineWidth("3")
      love.graphics.setColor(1,0.7,0)
      blue.graphics.rectangle("line", self.x - self.lightZoneWidth/2, self.y - self.lightZoneHeight/2, self.lightZoneWidth, self.lightZoneHeight)
      love.graphics.setLineWidth("1")
    end
  end

  if self.active then
    self:drawInteractPrompt()
  end
end